[CVE-2013-2751, CVE-2013-2752] NETGEAR ReadyNAS Remote Root

2013-10-28T00:00:00
ID SECURITYVULNS:DOC:29971
Type securityvulns
Reporter Securityvulns
Modified 2013-10-28T00:00:00

Description

NETGEAR ReadyNAS with firmware 4.2.x before 4.2.24 and 4.1.x before 4.1.12 is prone to command injection from an unauthenticated HTTP GET request. This vulnerability can lead to complete root access as outlined on the Tripwire blog: http://www.tripwire.com/state-of-security/vulnerability-management/readynas-flaw-allows-root-access-unauthenticated-http-request/

If you have not already, I strongly advise all ReadyNAS administrators to apply the latest firmware. (With some help from Shodan, I estimate that nearly 75% of Internet facing ReadyNAS have not been updated.) Please join me Tuesday October 29 at 1PM EST for a Google Hangout in which I will discuss the issue further and demonstrate a technique for exploiting the flaw.

Thanks, Craig Young @CraigTweets http://secur3.us/pub_key.asc